PHP 5: het einde van een tijdperk

  • 0
  • 31 oktober 2018

WordPress, Joomla, Drupal, Magento en vele andere populaire website content management systemen zijn geschreven in de scripttaal PHP. Veel van deze sites draaien nog op versie 5.6 of ouder. De ondersteuning voor PHP 5 eindigt over twee maanden. Dat wil zeggen dat er vanaf dat moment geen veiligheidsupdates meer uitgebracht worden voor PHP5 en dat websites die draaien op PHP 5 kwetsbaar kunnen zijn.

PHP 5 was veruit de populairste versie in de geschiedenis, mede door de algemene opkomst van het ‘web’. PHP versie 5.0 kwam namelijk al uit in de zomer van 2004. De laatste versie, PHP 5.6, is in augustus 2014 uitgekomen. Deze versie heeft nog 4 jaar lang (security-)updates gehad, maar dit stopt nu echt en dus bereikt PHP 5 de status “End Of Life”.

Alle klanten met een WordPress website draaien reeds op een recente en stabiele versie van PHP 7.

Mijn website maakt nog gebruik van PHP 5, wat nu?

Nog altijd maken erg veel websites gebruik van PHP 5. Al deze sites zijn binnenkort kwetsbaar en wij raden met klem aan om je website om te (laten) bouwen zodat deze geschikt is voor PHP 7. In veel gevallen kun je niet zomaar je website laten draaien op PHP 7, dit kan namelijk leiden tot ongewenste resultaten. Hoe je een website compatibel kan maken voor de huidige PHP versie is echter erg specifiek en afhankelijk van de complexiteit van je website.

Overstappen naar WordPress

Je website is waarschijnlijk ook al wat jaartjes oud, misschien is dit een uitgerekende kans om na te denken over een WordPress website (want wij zijn fan van WordPress). We kunnen een nieuwe responsive WordPress website voor je bouwen (voor ieder budget), voorzien van de allernieuwste technieken. Als de vormgeving van je website nog naar wens is, kunnen we ook je bestaande website ombouwen naar een WordPress website.
Voor WordPress komen automatisch updates beschikbaar, hiermee ben je dus klaar voor de toekomst!

PHP5 ‘Legacy’ webhosting

In samenwerking met onze partner CloudLinux (server software) kunnen wij alsnog PHP5 webhosting aanbieden, zij het tegen een kleine meerprijs. CloudLinux bied de mogelijkheid om op een (redelijk) veilige manier toch nog gebruik te maken van PHP5. CloudLinux HardenedPHP beveiligt oude en niet-ondersteunde versies van PHP, zelfs als ze niet meer gepatcht worden door de PHP.net-community.

Klanten die (om welke reden dan ook) niet binnen twee maanden over kunnen gaan op PHP7 kunnen gebruik maken van deze hosting.

Wil je meer informatie of advies omtrent de overstap van PHP 5 naar PHP 7?

Wij kijken graag samen met je voor de beste oplossing. Bel Jeroen via 0161712045 of stuur een e-mail naar support@klik3.nl.